//
//  ELURLDiscoveryOperation.h
//  ELKit
//
//  Created by Douglas Welton on 6/8/13.
//
//

#import <Foundation/Foundation.h>

@protocol ELURLDiscoveryOperationDelegate <NSObject>

- (BOOL) isValid: (CFStringRef)targetUTI;

- (void) discoveryCompleted: (NSArray *)validURLs hadError: (BOOL) hadError withContext: (NSDictionary *)context;

@end


@interface ELURLDiscoveryOperation : NSOperation
{	
	NSArray					*urls;
	NSMutableArray			*discoveredURLs;
	
	id						 delegate;
	
	BOOL					 includeSubdirectories;
    BOOL                     errorOnDiscovery;
    
    NSDictionary            *context;
	}

@property (retain)	NSArray					*urls;
@property (retain)	NSMutableArray			*discoveredURLs;
	
@property (retain)	id						 delegate;
	
@property			BOOL					 includeSubdirectories;	
@property			BOOL                     errorOnDiscovery;

@property (retain)	NSDictionary            *context;


- (id) initWithURLs: (NSArray *)candidateURLs withDelegate: (id<ELURLDiscoveryOperationDelegate>)targetDelegate
                                         useSubdirectories: (BOOL)useSubdirectories
                                               withContext: (NSDictionary *)userContext;

@end
