//
//  SaveClipAccessoryViewController.h
//  Reframe
//
//  Created by Douglas Welton on 9/27/13.
//
//

#import <Cocoa/Cocoa.h>
#import <AVFoundation/AVFoundation.h>

enum PresetTagType
     {
       kPresetTagPassThrough = 0,
       kPresetTagProRes = 1,
       kPresetTagSize640by480 = 2,
       kPresetTagSize960by540 = 3,
       kPresetTagSize1280by720 = 4,
       kPresetTagSize1920by1080 = 5,
       kPresetTagSize3840x2160 = 6,
       kPresetTagStandardDefinition = 7,
       kPresetTagHighDefinition720p = 8,
       kPresetTagHighDefinition1080p = 9,
       kPresetTagiPod = 10,
       kPresetTagAppleTV = 11,
       kPresetTagWiFiStreaming = 12,
       kPresetTagCellularStreaming = 13
       };

          
@interface SaveClipAccessoryViewController : NSViewController
{
    NSInteger            type;
    NSString            *preset;
    
    NSSavePanel         *parentPanel;
    
    NSArray             *m4vTypes;
    }

@property               NSInteger            type;
@property (readonly)    NSString            *preset;

@property (retain)      NSSavePanel         *parentPanel;
@property (retain)      NSArray             *m4vTypes;

+ (id) saveClipAccessoryViewController;
- (IBAction) handlePresetSelection: (id)sender;

@end
